Debian Bug report logs - #585887
xsane: Pixma MP160: "Operation was cancelled" when pressing scan button

version graph

Package: xsane; Maintainer for xsane is Debian QA Group <packages@qa.debian.org>; Source for xsane is src:xsane.

Reported by: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>

Date: Mon, 14 Jun 2010 16:57:01 UTC

Severity: important

Found in version xsane/0.997-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Mon, 14 Jun 2010 16:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
New Bug report received and forwarded. Copy sent to Julien BLACHE <jblache@debian.org>. (Mon, 14 Jun 2010 16:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xsane: Pixma MP160: "Operation was cancelled" when pressing scan button
Date: Mon, 14 Jun 2010 18:43:57 +0200
Package: xsane
Version: 0.997-2
Severity: important

Hi,

Xsane worked fine before but it doesn't anymore.
Either as a regular user or root, preview works as expected but real 
scanning just shows an "operation was cancelled" error popup.
Simple-scan works fine.

I'm available to make more tests.

Regards, Adam.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (400, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xsane depends on:
ii  libatk1.0-0             1.30.0-1         The ATK accessibility toolkit
ii  libc6                   2.11.1-3         Embedded GNU C Library: 
Shared lib
ii  libcairo2               1.8.10-4         The Cairo 2D vector 
graphics libra
ii  libfontconfig1          2.8.0-2.1        generic font configuration 
library
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, 
shared lib
ii  libgimp2.0              2.6.8-3          Libraries for the GNU Image 
Manipu
ii  libglib2.0-0            2.24.1-1         The GLib library of C routines
ii  libgtk2.0-0             2.20.1-1         The GTK+ graphical user 
interface ii  libjpeg62               6b-16.1          The Independent 
JPEG Group's JPEG ii  liblcms1                1.18.dfsg-1.2+b1 Color 
management library
ii  libpango1.0-0           1.28.0-1         Layout and rendering of 
internatio
ii  libpng12-0              1.2.43-1         PNG library - runtime
ii  libsane                 1.0.21-2         API library for scanners
ii  libtiff4                3.9.2-3+b1       Tag Image File Format 
(TIFF) libra
ii  xsane-common            0.997-2          featureful graphical 
frontend for ii  zlib1g                  1:1.2.3.4.dfsg-3 compression 
library - runtime

Versions of packages xsane recommends:
ii            6.0.435.0~svn20100614r49660-0u Chromium browser
ii            1.4.3-1                        Common UNIX Printing 
System(tm) - ii            3.5.9-3                        Web browser 
based on Firefox
ii            4:4.4.3-1                      KDE 4's advanced file 
manager, web
ii            2.8.8dev.3-3                   Text-mode WWW Browser with 
NLS sup

Versions of packages xsane suggests:
ii  gimp                          2.6.8-3    The GNU Image Manipulation 
Program
pn  gocr                          <none>     (no description available)
pn  gv                            <none>     (no description available)
pn  hylafax-client | mgetty-fax   <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585887; Package xsane. (Tue, 22 Jun 2010 19:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. (Tue, 22 Jun 2010 19:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 585887@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: xsane: Pixma MP160: "Operation was cancelled" when pressing scan button
Date: Tue, 22 Jun 2010 21:44:36 +0200
"Adam Cécile (Le_Vert)" <gandalf@le-vert.net> wrote:

Hi Adam,

> Xsane worked fine before but it doesn't anymore.
> Either as a regular user or root, preview works as expected but real
> scanning just shows an "operation was cancelled" error popup.
> Simple-scan works fine.

Can you try to obtain a debug log by setting SANE_DEBUG_PIXMA=3? This
should shed some light on the issue.

I doubt this will help, but could you also try to remove ~/.sane/xsane
and see if that changes anything?

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585887; Package xsane. (Tue, 29 Jun 2010 16:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. (Tue, 29 Jun 2010 16:30:07 GMT) Full text and rfc822 format available.

Message #15 received at 585887@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: xsane: Pixma MP160: "Operation was cancelled" when pressing scan button
Date: Tue, 29 Jun 2010 18:27:12 +0200
"Adam Cécile (Le_Vert)" <gandalf@le-vert.net> wrote:

Hi Adam,

> Xsane worked fine before but it doesn't anymore.
> Either as a regular user or root, preview works as expected but real
> scanning just shows an "operation was cancelled" error popup.
> Simple-scan works fine.

There's a git snapshot of sane-backends in experimental that you could
try out, in case this has been fixed after 1.0.21. The bug is likely not
in XSane.

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Tue, 29 Jun 2010 18:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Tue, 29 Jun 2010 18:57:07 GMT) Full text and rfc822 format available.

Message #20 received at 585887@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: Julien BLACHE <jblache@debian.org>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: xsane: Pixma MP160: "Operation was cancelled" when pressing scan button
Date: Tue, 29 Jun 2010 20:47:13 +0200
Le 29/06/2010 18:27, Julien BLACHE a écrit :
> "Adam Cécile (Le_Vert)"<gandalf@le-vert.net>  wrote:
>
> Hi Adam,
>
>    
>> Xsane worked fine before but it doesn't anymore.
>> Either as a regular user or root, preview works as expected but real
>> scanning just shows an "operation was cancelled" error popup.
>> Simple-scan works fine.
>>      
> There's a git snapshot of sane-backends in experimental that you could
> try out, in case this has been fixed after 1.0.21. The bug is likely not
> in XSane.
>
> JB.
>
>    
Hi Julien,

Indeed experimental packages seem to fix the issue, at least for root. 
Thanks.
Now I need to figure out why my scanner stopped working as a regular user...

Adam.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585887; Package xsane. (Tue, 29 Jun 2010 20:06:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. (Tue, 29 Jun 2010 20:06:22 GMT) Full text and rfc822 format available.

Message #25 received at 585887@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: xsane: Pixma MP160: "Operation was cancelled" when pressing scan button
Date: Tue, 29 Jun 2010 22:05:41 +0200
"Adam Cécile (Le_Vert)" <gandalf@le-vert.net> wrote:

Hi,

> Indeed experimental packages seem to fix the issue, at least for
> root. Thanks.

That's a good data point already :) Would have some time to bisect and
find out what the fix is?

> Now I need to figure out why my scanner stopped working as a regular
> user...

I guess you know the drill - permissions etc...

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Sun, 21 Nov 2010 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Sun, 21 Nov 2010 13:30:03 GMT) Full text and rfc822 format available.

Message #30 received at 585887@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: 585887@bugs.debian.org
Cc: Adam Cécile (Le_Vert) <gandalf@le-vert.net>, Vincent LAFAGE <lafage@freesurf.fr>
Subject: Re: similar as #498532
Date: Sun, 21 Nov 2010 14:27:23 +0100 (CET)
[Message part 1 (text/plain, inline)]
On Sun, 21 Nov 2010, Tomáš Pospíšek wrote:

> * remove preferences, start, preview, scan -> "Operation canceled"
> * remove preferences, start,          scan -> works!!!
> * leave  preferences, start, preview, scan -> "Operation canceled"
> * leave  preferences, start,          scan -> "Operation canceled"

When looking at the log, the difference seems to be that both "Preview" 
and the ``immediate'' "Scan" have an event flow like this:

  [pixma] Reader task id=... (threaded)
  [pixma] Setting non-blocking mode
  [pixma] Reader task started
  [pixma]
  [pixma] pixma_scan(): start
  [pixma]   line_size=...
  [pixma]   dpi=...
  [pixma]   gamma_table=...

Whereas when scanning *after* the preview, the event flow looks like this:

  [pixma] Reader task id=... (threaded)
  [pixma] Reader task started
  [pixma]
  [pixma] pixma_scan(): start
  [pixma]   line_size=...
  [pixma]   dpi=...
  [pixma]   gamma_table=...
  [pixma] Setting non-blocking mode

Notice the "Setting of the non-blocking mode" changing it's place in the 
event sequence order.
*t

Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Sun, 21 Nov 2010 13:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomáš Pospíšek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Sun, 21 Nov 2010 13:54:04 GMT) Full text and rfc822 format available.

Message #35 received at 585887@bugs.debian.org (full text, mbox):

From: Tomáš Pospíšek <tpo@sourcepole.ch>
To: 585887@bugs.debian.org
Cc: Adam Cécile (Le_Vert) <gandalf@le-vert.net>, Vincent LAFAGE <lafage@freesurf.fr>
Subject: similar as #498532
Date: Sun, 21 Nov 2010 14:08:07 +0100 (CET)
[Message part 1 (text/plain, inline)]
This looks very similar to http://bugs.debian.org/498532

Like in http://bugs.debian.org/585887 I can press "Preview" in xsane and 
that works. However as soon as I press "Scan" I get the "Operation was 
cancelled" popup.

As in #498532 both xscaneimage and quiteinsane can scan without 
percievable problems. That would imply that the problem is either with 
xsane itself or in the interaction of xsane and the backend and not with 
the backends (since both xscaneimage and quiteinsane should be using those 
same backends).

I also tried to install 1.0.21-7 from unstable and the result remained the 
same.

My scanner is a Pixma MP600.

xsane worked under xsane under Ubuntu Lucid.

As suggested by Julien I started xsane with SANE_DEBUG_PIXMA=3. The output 
is attached. There are three attachements:

* xsane-start which is the debug just from starting xsane
* xsane-preview which is all that came after xsane-start, when I pressed
  "Preview"
* xsane-scan which is all that came after xsane-preview, when I pressed
  "Scan"

Other than pressing "Preview" and "Scan" I did nothing else in the xsane 
(no changing of settings or other).

Another suggestion of Julien was to "rm -r ~/.sane/xsane". Now:

* remove preferences, start, preview, scan -> "Operation canceled"
* remove preferences, start,          scan -> works!!!
* leave  preferences, start, preview, scan -> "Operation canceled"
* leave  preferences, start,          scan -> "Operation canceled"

!!!

I also installed libsane from experimental 
(libsane_1.0.22~git1.0.21-157-g126c70d-1_amd64.deb), but xsane has the 
same problem with it as with libsane from squeeze.
*t
[xsane-start (text/plain, attachment)]
[xsane-preview (text/plain, attachment)]
[xsane-scan (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585887; Package xsane. (Sun, 21 Nov 2010 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. (Sun, 21 Nov 2010 14:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 585887@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Tomas Pospisek <tpo_deb@sourcepole.ch>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: similar as #498532
Date: Sun, 21 Nov 2010 15:55:53 +0100
Tomas Pospisek <tpo_deb@sourcepole.ch> wrote:

Hi,

> When looking at the log, the difference seems to be that both
> "Preview" and the ``immediate'' "Scan" have an event flow like this:
[...]
> Notice the "Setting of the non-blocking mode" changing it's place in
> the event sequence order.

The log is not synchronized between the threads/processes, so that
doesn't actually mean much.

There were 2 "fixes" made to the pixma backend for pthread builds before
1.0.21, so maybe that should be looked into:
 13641ac5b3e50f275da6bf39ede59da55edfae93
 eb66f734baa42619ece201d94852247788215a35

Alternatively, you could try a build of sane-backends without pthread
and see if that build works better.

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Sat, 27 Nov 2010 22:43:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Sat, 27 Nov 2010 22:43:07 GMT) Full text and rfc822 format available.

Message #45 received at 585887@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Julien BLACHE <jblache@debian.org>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: similar as #498532
Date: Sat, 27 Nov 2010 23:40:10 +0100 (CET)
Hello Julien,

On Sun, 21 Nov 2010, Julien BLACHE wrote:

> Tomas Pospisek <tpo_deb@sourcepole.ch> wrote:
>
> Hi,
>
>> When looking at the log, the difference seems to be that both
>> "Preview" and the ``immediate'' "Scan" have an event flow like this:
> [...]
>> Notice the "Setting of the non-blocking mode" changing it's place in
>> the event sequence order.
>
> The log is not synchronized between the threads/processes, so that
> doesn't actually mean much.
>
> There were 2 "fixes" made to the pixma backend for pthread builds before
> 1.0.21, so maybe that should be looked into:
> 13641ac5b3e50f275da6bf39ede59da55edfae93

I undid that patch, still the same problem.

> eb66f734baa42619ece201d94852247788215a35

I undid that patch as well, still the same problem.

> Alternatively, you could try a build of sane-backends without pthread
> and see if that build works better.

I did that too, same problem.

Also, I tried to compile with eb66f734baa42619ece201d94852247788215a35 
reversed and with "--disable-pthread" (i.e. without threads) at the same 
time and still had the same problem.

So no, sorry, that path led to no success here.

I tried to install Ubuntu Lucid's libsane (V 1.0.20-13ubuntu2)[1] (I had 
to use --force-all because it conflicted with newer udev) ... and scanning 
worked again properly!!!

Then I tried Ubuntu's newest 1.0.21-2ubuntu2 and scanning under xsane 
stopped working with the same problem as before.

So I'd say it seems to be a problem with libsane and that the problem was 
introduced between 1.0.20-13ubuntu2 and 1.0.21-2ubuntu2 aka 
1.0.21-7(debian).

Should I take this to the sane devel list? Or try to compile out of git?

If I copy debian/* over to the git checkout, then should a 
"dpkg-buildpackage" work from there?

Do you have any ideas what would be the most efficient and helpful way to 
proceed?

?

*t

[1] http://packages.ubuntu.com/lucid/libsane




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585887; Package xsane. (Sun, 28 Nov 2010 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. (Sun, 28 Nov 2010 09:36:03 GMT) Full text and rfc822 format available.

Message #50 received at 585887@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Tomas Pospisek <tpo_deb@sourcepole.ch>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: similar as #498532
Date: Sun, 28 Nov 2010 10:33:26 +0100
Tomas Pospisek <tpo_deb@sourcepole.ch> wrote:

Hi Tomas,

> So I'd say it seems to be a problem with libsane and that the problem
> was introduced between 1.0.20-13ubuntu2 and 1.0.21-2ubuntu2 aka
> 1.0.21-7(debian).
>
> Should I take this to the sane devel list? Or try to compile out of git?

Bisecting isn't going to be easy, due to the insane amount of merge
commits in the tree (I wish people would rebase before pushing...), but
you can give it a try.

There are 50 commits between RELEASE_1_0_20 and RELEASE_1_0_21 affecting
the pixma backend, provided the issue is in the backend and not in
support code (though it's likely in the backend).

Just had a look at a446ecec31744ac57c7d971690eb4c4a843943e6, which
affects the MP600; reverting that is worth a try.

When building SANE, set BACKENDS=pixma at configure time to restrict the
build to just that backend. Then grab the backend from backend/.libs and
try it out.

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Sun, 28 Nov 2010 12:06:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Sun, 28 Nov 2010 12:06:16 GMT) Full text and rfc822 format available.

Message #55 received at 585887@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Julien BLACHE <jblache@debian.org>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: similar as #498532
Date: Sun, 28 Nov 2010 13:05:01 +0100 (CET)
Hello Julien,

On Sun, 28 Nov 2010, Julien BLACHE wrote:

> Tomas Pospisek <tpo_deb@sourcepole.ch> wrote:
>
> Hi Tomas,
>
>> So I'd say it seems to be a problem with libsane and that the problem
>> was introduced between 1.0.20-13ubuntu2 and 1.0.21-2ubuntu2 aka
>> 1.0.21-7(debian).
>>
>> Should I take this to the sane devel list? Or try to compile out of git?
>
> Bisecting isn't going to be easy, due to the insane amount of merge
> commits in the tree (I wish people would rebase before pushing...), but
> you can give it a try.
>
> There are 50 commits between RELEASE_1_0_20 and RELEASE_1_0_21 affecting
> the pixma backend, provided the issue is in the backend and not in
> support code (though it's likely in the backend).
>
> Just had a look at a446ecec31744ac57c7d971690eb4c4a843943e6, which
> affects the MP600; reverting that is worth a try.

I built with that patch reverted - but the problem persisted.

> When building SANE, set BACKENDS=pixma at configure time to restrict the
> build to just that backend. Then grab the backend from backend/.libs and
> try it out.

That was a valuable advice, thank you! That substantially reduced the 
amount of time needed for rebuilding and testing with xsane.

If you have some more suggestions then I'll be very glad to hear them. 
Lacking better alternatives I'll try to bisect if I find the time.

Do you advise me to do a 'configure && make' after each bisect or should a 
simple 'make' suffice? I have the impression that at some point after 
1.0.20 the '--enable-pthreads' parameter for 'configure' was introduced, 
which would mean that I will also have to change 'configure' parameters at 
each 'git checkout~revision'? Is that correct? Or will I be able to just 
make, make, make untill I find the 'bad' commit?
*t




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585887; Package xsane. (Sun, 28 Nov 2010 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. (Sun, 28 Nov 2010 13:54:03 GMT) Full text and rfc822 format available.

Message #60 received at 585887@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Tomas Pospisek <tpo_deb@sourcepole.ch>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: similar as #498532
Date: Sun, 28 Nov 2010 14:51:02 +0100
Tomas Pospisek <tpo_deb@sourcepole.ch> wrote:

Hi Tomas,

>> Just had a look at a446ecec31744ac57c7d971690eb4c4a843943e6, which
>> affects the MP600; reverting that is worth a try.
>
> I built with that patch reverted - but the problem persisted.

The issue may not lie in the pixma backend after all...

> If you have some more suggestions then I'll be very glad to hear
> them. Lacking better alternatives I'll try to bisect if I find the
> time.

Beware of the merge commits!

> Do you advise me to do a 'configure && make' after each bisect or

Yes, that and a git clean -fdx before continuing with the next bisect
step.

> should a simple 'make' suffice? I have the impression that at some
> point after 1.0.20 the '--enable-pthreads' parameter for 'configure'
> was introduced, which would mean that I will also have to change
> 'configure' parameters at each 'git checkout~revision'? Is that

It was called --disable-fork-process in 1.0.20 and early 1.0.21 so you
just need to use one or the other :)

> correct? Or will I be able to just make, make, make untill I find the
> 'bad' commit?

Unfortunately you'll have to reconfigure at each step, but it's not as
bad as it sounds :)

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Sun, 28 Nov 2010 21:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Sun, 28 Nov 2010 21:45:02 GMT) Full text and rfc822 format available.

Message #65 received at 585887@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Julien BLACHE <jblache@debian.org>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: similar as #498532
Date: Sun, 28 Nov 2010 22:40:26 +0100 (CET)
Hello Julien,

On Sun, 28 Nov 2010, Julien BLACHE wrote:

> Tomas Pospisek <tpo_deb@sourcepole.ch> wrote:
>
>> If you have some more suggestions then I'll be very glad to hear
>> them. Lacking better alternatives I'll try to bisect if I find the
>> time.

All right, so:

#----------------------------------------------------------------#
1430217e1919801fa6418c36589cc4360e5f1779 is the first bad commit
commit 1430217e1919801fa6418c36589cc4360e5f1779
Author: Nicolas Martin <nicols-guest@users.alioth.debian.org>
Date:   Sun Jan 17 15:05:51 2010 +0100

    pixma: set#1 of changes for crop enhancement, supplied by Christian Scholtz

:040000 040000 1254c7d71ae5ae67628cca463a5aeb798d54a072 
d68f3d7de5dd020045aa04586039e0a4ad91d7de M      backend
#----------------------------------------------------------------#

I verified it manually after bisecting and indeed, the revision before 
1430217e1919801fa6418c36589cc4360e5f1779 works and with 
1430217e1919801fa6418c36589cc4360e5f1779 applied it doesn't any more.

I had a look at the patch but I can't see anything particular that stands 
out as problematic, apart from doing some x/y coordinate changing and 
recalculations.

Shall I talk to upstream (mailing list), and/or Nicolas Martin and/or 
Christian Scholtz?

Thanks!
*t




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585887; Package xsane. (Mon, 29 Nov 2010 17:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. (Mon, 29 Nov 2010 17:21:03 GMT) Full text and rfc822 format available.

Message #70 received at 585887@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Tomas Pospisek <tpo_deb@sourcepole.ch>
Cc: 585887@bugs.debian.org
Subject: Re: Bug#585887: similar as #498532
Date: Mon, 29 Nov 2010 18:20:07 +0100
Tomas Pospisek <tpo_deb@sourcepole.ch> wrote:

Hi Tomas,

> I verified it manually after bisecting and indeed, the revision before
> 1430217e1919801fa6418c36589cc4360e5f1779 works and with
> 1430217e1919801fa6418c36589cc4360e5f1779 applied it doesn't any more.

That's a very good news :)

> I had a look at the patch but I can't see anything particular that
> stands out as problematic, apart from doing some x/y coordinate
> changing and recalculations.

Chances are the MP600 doesn't like the coordinates it's getting with
this patch. Or something else entirely.

> Shall I talk to upstream (mailing list), and/or Nicolas Martin and/or
> Christian Scholtz?

Yes, please post on sane-devel and Nicolas will pick it up there, I
guess. I'll be watching anyway :) If you go fast enough, this may even
make it into Squeeze...

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Mon, 29 Nov 2010 22:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomáš Pospíšek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Mon, 29 Nov 2010 22:09:12 GMT) Full text and rfc822 format available.

Message #75 received at 585887@bugs.debian.org (full text, mbox):

From: Tomáš Pospíšek <tpo@sourcepole.ch>
To: Adam Cécile <gandalf@le-vert.net>, Vincent LAFAGE <lafage@freesurf.fr>
Cc: 585887@bugs.debian.org
Subject: Help with Pixma MP160/Pixma MP780 xsane debugging
Date: Mon, 29 Nov 2010 23:05:59 +0100 (CET)
Hello Adam and Vincent,

I've made some progress on the xsane problems [1,2] and isolated the 
problematic commit. I've moved the discussion to the sane-devel list, 
however I will unfortunately not be able to proceed due to not having 
access to my problematic Pixma MP600 for a few days.

So meanwhile, if you want, you could help by following and testing the 
suggested fix in this thread here on sane-devel:

  http://lists.alioth.debian.org/pipermail/sane-devel/2010-November/027736.html

Thanks and greets,
*t

[1] http://bugs.debian.org/498532
[2] http://bugs.debian.org/585887




Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Fri, 03 Dec 2010 20:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomáš Pospíšek <tpo@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Fri, 03 Dec 2010 20:06:10 GMT) Full text and rfc822 format available.

Message #80 received at 585887@bugs.debian.org (full text, mbox):

From: Tomáš Pospíšek <tpo@sourcepole.ch>
To: 498532@bugs.debian.org, 585887@bugs.debian.org
Cc: Vincent LAFAGE <lafage@freesurf.fr>, Adam Cécile <gandalf@le-vert.net>
Subject: fix for XSane/Pixma Problem
Date: Fri, 3 Dec 2010 20:03:28 +0100 (CET)
The patch suggested in the sane-devel mailing list [1] by Nicolas 
Martin fixes the scanning problem on my Pixma MP600.

I would be very glad if you, and any other readers of these bugreports 
that are affected by the problem could try whether that patch fixes their 
problems and report it to 585887@bugs.debian.org (and/or to me).

I've compiled the pixma libs for the amd64 platform (i.e. 64 bit amd and 
intel processors) and put them up for a try here [2].

You'll need to download them and install them (as root) with:

  cp libsane-pixma.so.1.0.22 /usr/lib/sane/
  (
    cd /usr/lib/sane/
    ln -f -s libsane-pixma.so.1.0.22 libsane-pixma.so.1
  )

  cp libsane.so.1.0.22 /usr/lib/
  (
    cd /usr/lib/
    sudo ln -f -s libsane.so.1.0.22 libsane.so.1
  )

Then you can start xsane and try whether it now works with the fixed 
backend.

If it doesn't, or you just want to go back to your previous 
configuration, then you can just (re-)install the libsane deb package [3] 
and it will clean up all changes made by the few lines above. Again as 
root:

  apt-get --reinstall install libsane

Thanks,
*t

[1] http://lists.alioth.debian.org/pipermail/sane-devel/2010-November/027737.html
[2] http://tpo.sourcepole.ch/public/
[3] http://packages.debian.org/libsane




Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Mon, 06 Dec 2010 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jacob Dall <jacobmedc@gmail.com>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Mon, 06 Dec 2010 18:27:03 GMT) Full text and rfc822 format available.

Message #85 received at 585887@bugs.debian.org (full text, mbox):

From: Jacob Dall <jacobmedc@gmail.com>
To: tpo@sourcepole.ch, 585887@bugs.debian.org
Subject: fix for XSane/Pixma Problem
Date: Mon, 06 Dec 2010 19:25:16 +0100
I, too, have experienced scanning problems with my MP600 on an Ubuntu 
10.10 64-bit system.

After installing the files mentioned in Message #80 scanning works again.

Many thanks to Mr. Pospíšek for persuing a fix to this problem.


Best regards,

Jacob Dall




Information forwarded to debian-bugs-dist@lists.debian.org, Julien BLACHE <jblache@debian.org>:
Bug#585887; Package xsane. (Tue, 14 Dec 2010 21:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Extra info received and forwarded to list. Copy sent to Julien BLACHE <jblache@debian.org>. (Tue, 14 Dec 2010 21:33:05 GMT) Full text and rfc822 format available.

Message #90 received at 585887@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Julien BLACHE <jblache@debian.org>
Cc: 585887@bugs.debian.org
Subject: Re: fix for XSane/Pixma Problem
Date: Tue, 14 Dec 2010 22:30:03 +0100 (CET)
Upstream is not moving. The fix is very short and tested on Pixma 
MP600 and MP960. Would it be possible to include it with sqeeze?
*t


diff --git a/backend/pixma_mp150.c b/backend/pixma_mp150.c
index ebee20c..9524d6b 100644
--- a/backend/pixma_mp150.c
+++ b/backend/pixma_mp150.c
@@ -676,8 +676,7 @@ send_scan_param (pixma_t * s)
       pixma_set_be16 (s->param->xdpi | 0x8000, data + 0x04);
       pixma_set_be16 (s->param->ydpi | 0x8000, data + 0x06);
       pixma_set_be32 (s->param->x, data + 0x08);
-      if (s->cfg->pid == MP460_PID || s->cfg->pid == MP510_PID)
-        pixma_set_be32 (s->param->x - s->param->xs, data + 0x08);
+      pixma_set_be32 (s->param->x - s->param->xs, data + 0x08);
       pixma_set_be32 (s->param->y, data + 0x0c);
       pixma_set_be32 (raw_width, data + 0x10);
       pixma_set_be32 (h, data + 0x14);





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#585887; Package xsane. (Wed, 15 Dec 2010 11:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. (Wed, 15 Dec 2010 11:21:03 GMT) Full text and rfc822 format available.

Message #95 received at 585887@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Tomas Pospisek <tpo_deb@sourcepole.ch>
Cc: 585887@bugs.debian.org
Subject: Re: fix for XSane/Pixma Problem
Date: Wed, 15 Dec 2010 12:20:03 +0100
Tomas Pospisek <tpo_deb@sourcepole.ch> wrote:

Hi,

> Upstream is not moving. The fix is very short and tested on Pixma
> MP600 and MP960. Would it be possible to include it with sqeeze?

No, it needs more testing and I want upstream's take on it.

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:09:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.